summaryrefslogtreecommitdiff
path: root/config/p10k-lean.zsh
diff options
context:
space:
mode:
authorromkatv <roman.perepelitsa@gmail.com>2019-11-29 13:26:28 +0300
committerromkatv <roman.perepelitsa@gmail.com>2019-11-29 13:26:28 +0300
commitd55923be8749889d18fee54f6b6a4853343f049e (patch)
treed93867d0516653c242850312e467225cf1d336f7 /config/p10k-lean.zsh
parent41eebccdc43c9fbefc3338f4b9e0110c2681d0aa (diff)
survive ancient zsh
Diffstat (limited to 'config/p10k-lean.zsh')
-rw-r--r--config/p10k-lean.zsh11
1 files changed, 7 insertions, 4 deletions
diff --git a/config/p10k-lean.zsh b/config/p10k-lean.zsh
index 4064bdf7..08834faf 100644
--- a/config/p10k-lean.zsh
+++ b/config/p10k-lean.zsh
@@ -15,15 +15,18 @@
() {
emulate -L zsh
setopt no_unset extended_glob
- zmodload zsh/langinfo
- if [[ ${langinfo[CODESET]:-} != (utf|UTF)(-|)8 ]]; then
- local LC_ALL=${${(@M)$(locale -a):#*.(utf|UTF)(-|)8}[1]:-en_US.UTF-8}
- fi
# Unset all configuration options. This allows you to apply configiguration changes without
# restarting zsh. Edit ~/.p10k.zsh and type `source ~/.p10k.zsh`.
unset -m 'POWERLEVEL9K_*'
+ autoload -Uz is-at-least && is-at-least 5.1 || return
+
+ zmodload zsh/langinfo
+ if [[ ${langinfo[CODESET]:-} != (utf|UTF)(-|)8 ]]; then
+ local LC_ALL=${${(@M)$(locale -a):#*.(utf|UTF)(-|)8}[1]:-en_US.UTF-8}
+ fi
+
# The list of segments shown on the left. Fill it with the most important segments.
typeset -g POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(
# =========================[ Line #1 ]=========================